Get Collections
Service that returns the consumer's facial collections.
Endpoint
GET /biometric/face/collectionsHeaders
Name
Type
Required
Description
consumer-id
string
Yes
Consumer identifier.
Responses
200 Success
Response parameters
Parameter
Type
Description
consumerId
string
Identifier of the consumer that made the call.
transactionId
string
Transaction identifier.
timestamp
string
Response timestamp in format ISO 8601.
message
string
Descriptive field for the result of the service execution.
collectionIds
array
Identifiers of the consumer's collections.
Response example
{
"consumerId": "consumer-web",
"transactionId": "a29cbe15-2b68-495f-b7eb-be985b21c486",
"timestamp": "2026-06-26T12:00:00.000Z",
"message": "Service executed ok",
"collectionIds": ["clientes-web", "lista-negra"]
}Other responses
Code
Description
401
Missing, invalid, or expired Token.
403
The consumer is not provisioned with the service FACE_COLLECTION_ADMIN.
The body of an error response has the form described in MIDAPI v2.
Last updated